<?php

add_action( 'widgets_init', 'kirhero_widgets_init' );

function kirhero_widgets_init() 
{	
	
	$admin_widgets = kirhero_get_default_theme_settings( 'admin_widgets' );
	
	//Widget Sidebar Primary
	if( in_array('sidebar-primary', $admin_widgets ) )
	{
		register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'orionwp' ),
		'id'            => 'sidebar-primary',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title-2"><span class="widget-span">',
		'after_title'   => '</span></h2>',
		) );
	}
	if( in_array('sidebar-primary-left', $admin_widgets ) )
	{
		//Widget Sidebar Secondary
		register_sidebar( array(
		'name'          => esc_html__( 'Sidebar left', 'orionwp' ),
		'id'            => 'sidebar-primary-left',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title-2"><span class="widget-span">',
		'after_title'   => '</span></h2>',
		) );
	}
	
	if( in_array('home-page-landing', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Home Page Landing', 'orionwp' ),
		'id'            => 'home-page-landing',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}	
	
	/* footer widgets */
	
	if( in_array('kirhero-footer-one', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Footer One', 'orionwp' ),
		'id'            => 'kirhero-footer-one',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}
		
	if( in_array('kirhero-footer-two', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Footer Two', 'orionwp' ),
		'id'            => 'kirhero-footer-two',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}
		
	if( in_array('kirhero-footer-three', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Footer Three', 'orionwp' ),
		'id'            => 'kirhero-footer-three',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}
	
	/* Register fp widget*/
	
	if( in_array('kirhero-subscribe-widgets', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Frontpage Subscribe Widgets', 'orionwp' ),
		'id'            => 'kirhero-subscribe-widgets',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}
	
	if( in_array('kirhero-contact-widgets', $admin_widgets ) )
	{	
		//widgets
		register_sidebar( array(
		'name'          => esc_html__( 'Frontpage Contact Widgets', 'orionwp' ),
		'id'            => 'kirhero-contact-widgets',
		'description'   => esc_html__( 'Add widget here.', 'orionwp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s frontpage-widget-contact">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
		) );
	}		


	//register_widget( "kirhero_featured_category_slider" );
	
	register_widget( "kirhero_recent_posts" );
	register_widget( "kirhero_recent_posts_footer" );
	
}



/**
 * Featured Posts widget
 */
class kirhero_recent_posts extends WP_Widget 
{

	function __construct() 
	{
		$widget_ops  = array(
			'classname'   => 'widget_featured_slider widget_featured_meta',
			'description' => __( 'Shows a listing of your recent or random posts.', 'orionwp' ),
		);
		$control_ops = array( 'width' => 200, 'height' => 250 );
		parent::__construct( false, $name = __( '&raquo; Recent Posts', 'orionwp' ), $widget_ops );
		
		
	}

	function form( $instance ) {
		$tg_defaults['title']    = '';
		$tg_defaults['number']   = 4;
		$tg_defaults['type']     = 'latest';
		$tg_defaults['category'] = '';
		$instance                = wp_parse_args( ( array ) $instance, $tg_defaults );
		
		$number                  = $instance['number'];
		$title                   = esc_attr( $instance['title'] );
		$type                    = $instance['type'];
		$category                = $instance['category'];
		?>
		
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'orionwp' ); ?></label>
			<input class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of posts to display:', 'orionwp' ); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>" type="text" value="<?php echo esc_attr($number); ?>" size="3" />
		</p>

		<p>
			<input type="radio" <?php checked( $type, 'latest' ) ?> id="<?php echo esc_attr($this->get_field_id( 'type' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'type' )); ?>" value="latest" /><?php esc_html_e( 'Show latest Posts', 'orionwp' ); ?>
			<br />
			<input type="radio" <?php checked( $type, 'category' ) ?> id="<?php echo esc_attr($this->get_field_id( 'type' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'type' )); ?>" value="category" /><?php esc_html_e( 'Show posts from a category', 'orionwp' ); ?>
			<br /></p>

		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'category' )); ?>"><?php esc_html_e( 'Select category', 'orionwp' ); ?>
				:</label>
			<?php wp_dropdown_categories( array(
				'show_option_none' => ' ',
				'name'             => $this->get_field_name( 'category' ),
				'selected'         => $category,
			) ); ?>
		</p>

		<?php
	}

	function update( $new_instance, $old_instance ) {
		$instance             = $old_instance;
		$instance['title']      = ! empty( $new_instance['title'] ) ? sanitize_text_field( strip_tags( $new_instance['title'] ) ) : '';
		$instance['number']   = absint( $new_instance['number'] );
		$instance['type']     = sanitize_text_field( $new_instance['type'] );
		$instance['category'] = sanitize_text_field( $new_instance['category'] );

		return $instance;
	}

	function widget( $args, $instance ) {
		extract( $args );
		extract( $instance );

		global $post;
		$title    = isset( $instance['title'] ) ? $instance['title'] : '';
		$number   = empty( $instance['number'] ) ? 4 : $instance['number'];
		$type     = isset( $instance['type'] ) ? $instance['type'] : 'latest';
		$category = isset( $instance['category'] ) ? $instance['category'] : '';

		$post_status = 'publish';
		if ( get_option( 'fresh_site' ) == 1 ) {
			$post_status = array( 'auto-draft', 'publish' );
		}

		if ( $type == 'latest' ) {
			$get_featured_posts = new WP_Query( array(
				'posts_per_page'      => $number,
				'post_type'           => 'post',
				'ignore_sticky_posts' => true,
				'post_status'         => $post_status,
			) );
		} else {
			$get_featured_posts = new WP_Query( array(
				'posts_per_page' => $number,
				'post_type'      => 'post',
				'category__in'   => $category,
			) );
		}
		echo wp_kses_post($before_widget);
		
		if ( ! empty( $title ) ) {
			echo '<h2 class="widget-title-2"><span class="widget-span">' .esc_html( $title ) . '</span></h2>';
		}
		
		?>
		<?php $featured = 'square-150'; ?>
		<div class="td_block_inner">
			<?php
			
			while ( $get_featured_posts->have_posts() ):$get_featured_posts->the_post();
			?>
			
				<div class="td-block-span12">
					<div class="td_module_6 td_module_wrap">
						<?php
						
	
						if ( has_post_thumbnail() ) {
							$image           = '';
							$thumbnail_id    = get_post_thumbnail_id( $post->ID );
							$image_alt_text  = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
							$title_attribute = get_the_title( $post->ID );
							if ( empty( $image_alt_text ) ) {
								$image_alt_text = $title_attribute;
							}
							$image .= '<div class="td-module-thumb">';
							$image .= '<a class="td-image-wrap" href="' .esc_url( get_permalink() ). '" title="' . the_title( '', '', false ) . '">';
							$image .= get_the_post_thumbnail( $post->ID, 'kirhero-blog', array(
									'title' => esc_attr( $title_attribute ),
									'alt'   => esc_attr( $image_alt_text ),
									'class'   => 'entry-thumb td-animation-stack-type0-2',
								) ) . '</a>';
							$image .= '</div>';
							echo wp_kses_post($image);
						} else {
							
							?>
							<div class="td-module-thumb">
								<a class="td-image-wrap" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
									<img width="100" height="70" class="entry-thumb td-animation-stack-type0-2" src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/img/no-image-slide.png">
								</a>
							</div>
						<?php }
						?>
						<div class="item-details">
							
							<h3 class="td-module-title">
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo esc_html(mb_strimwidth(get_the_title(), 0,50, '...')); ?></a>
							</h3>
							<div class="td-module-meta-info">
								<?php
								$time_string = '<time class="entry-date updated td-module-date" datetime="%1$s">%2$s</time>';
								$time_string = sprintf( $time_string, esc_attr( get_the_date( 'c' ) ), esc_html( get_the_date() )
								);
								/* translators: %s: time string widget */
								printf( __( '<span class="td-post-date"> %3$s</span>', 'orionwp' ), esc_url( get_permalink() ), esc_attr( get_the_time() ), wp_kses_post($time_string) );
								?>
							
							</div>
						</div>
					</div>
				</div>
				<?php
			endwhile;
			// Reset Post Data
			wp_reset_query();
			?>
		</div>
		<?php
		echo wp_kses_post($after_widget);
	}

}


/**
 * Featured Posts widget footer
 */
class kirhero_recent_posts_footer extends WP_Widget 
{

	function __construct() 
	{
		$widget_ops  = array(
			'classname'   => 'widget_featured_slider widget_featured_meta',
			'description' => __( 'Shows a listing of your recent or random posts.', 'orionwp' ),
		);
		$control_ops = array( 'width' => 200, 'height' => 250 );
		parent::__construct( false, $name = __( '&raquo; Recent Posts Footer', 'orionwp' ), $widget_ops );
		
		
	}

	function form( $instance ) {
		$tg_defaults['title']    = '';
		$tg_defaults['number']   = 4;
		$tg_defaults['type']     = 'latest';
		$tg_defaults['category'] = '';
		$instance                = wp_parse_args( ( array ) $instance, $tg_defaults );
		
		$number                  = $instance['number'];
		$title                   = esc_attr( $instance['title'] );
		$type                    = $instance['type'];
		$category                = $instance['category'];
		?>
		
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'orionwp' ); ?></label>
			<input class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of posts to display:', 'orionwp' ); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>" type="text" value="<?php echo esc_attr($number); ?>" size="3" />
		</p>

		<p>
			<input type="radio" <?php checked( $type, 'latest' ) ?> id="<?php echo esc_attr($this->get_field_id( 'type' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'type' )); ?>" value="latest" /><?php esc_html_e( 'Show latest Posts', 'orionwp' ); ?>
			<br />
			<input type="radio" <?php checked( $type, 'category' ) ?> id="<?php echo esc_attr($this->get_field_id( 'type' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'type' )); ?>" value="category" /><?php esc_html_e( 'Show posts from a category', 'orionwp' ); ?>
			<br /></p>

		<p>
			<label for="<?php echo esc_attr($this->get_field_id( 'category' )); ?>"><?php esc_html_e( 'Select category', 'orionwp' ); ?>
				:</label>
			<?php wp_dropdown_categories( array(
				'show_option_none' => ' ',
				'name'             => $this->get_field_name( 'category' ),
				'selected'         => $category,
			) ); ?>
		</p>

		<?php
	}

	function update( $new_instance, $old_instance ) {
		$instance             = $old_instance;
		$instance['title']      = ! empty( $new_instance['title'] ) ? sanitize_text_field( strip_tags( $new_instance['title'] ) ) : '';
		$instance['number']   = absint( $new_instance['number'] );
		$instance['type']     = sanitize_text_field( $new_instance['type'] );
		$instance['category'] = sanitize_text_field( $new_instance['category'] );

		return $instance;
	}

	function widget( $args, $instance ) {
		extract( $args );
		extract( $instance );

		global $post;
		$title    = isset( $instance['title'] ) ? $instance['title'] : '';
		$number   = empty( $instance['number'] ) ? 4 : $instance['number'];
		$type     = isset( $instance['type'] ) ? $instance['type'] : 'latest';
		$category = isset( $instance['category'] ) ? $instance['category'] : '';

		$post_status = 'publish';
		if ( get_option( 'fresh_site' ) == 1 ) {
			$post_status = array( 'auto-draft', 'publish' );
		}

		if ( $type == 'latest' ) {
			$get_featured_posts = new WP_Query( array(
				'posts_per_page'      => $number,
				'post_type'           => 'post',
				'ignore_sticky_posts' => true,
				'post_status'         => $post_status,
			) );
		} else {
			$get_featured_posts = new WP_Query( array(
				'posts_per_page' => $number,
				'post_type'      => 'post',
				'category__in'   => $category,
			) );
		}
		echo wp_kses_post($before_widget);
		
		if ( ! empty( $title ) ) {
			echo '<h2 class="widget-title">' .esc_html( $title ) . '</h2>';
		}
		
		?>
		<?php $featured = 'square-150'; ?>
		<div class="td_block_inner_footer">
			<?php
			
			while ( $get_featured_posts->have_posts() ):$get_featured_posts->the_post();
			?>
			
				<div class="td-block-span12_footer">
					<div class="td_module_6_footer td_module_wrap_footer">
						<?php
						
	
						if ( has_post_thumbnail() ) {
							$image           = '';
							$thumbnail_id    = get_post_thumbnail_id( $post->ID );
							$image_alt_text  = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
							$title_attribute = get_the_title( $post->ID );
							if ( empty( $image_alt_text ) ) {
								$image_alt_text = $title_attribute;
							}
							$image .= '<div class="td-module-thumb_footer">';
							$image .= '<a class="td-image-wrap_footer" href="' .esc_url( get_permalink() ). '" title="' . the_title( '', '', false ) . '">';
							$image .= get_the_post_thumbnail( $post->ID, 'kirhero-blog', array(
									'title' => esc_attr( $title_attribute ),
									'alt'   => esc_attr( $image_alt_text ),
									'class'   => 'entry-thumb td-animation-stack-type0-2',
								) ) . '</a>';
							$image .= '</div>';
							echo wp_kses_post($image);
						} else {
							
							?>
							<div class="td-module-thumb_footer">
								<a class="td-image-wrap_footer" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
									<img width="80" height="60" class="entry-thumb td-animation-stack-type0-2" src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/img/no-image-slide.png">
								</a>
							</div>
						<?php }
						?>
						<div class="item-details">
							
							<h3 class="td-module-title_footer">
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo esc_html(mb_strimwidth(get_the_title(), 0,50, '...')); ?></a>
							</h3>
							<div class="td-module-meta-info_footer">
								<?php
								$time_string = '<time class="entry-date updated td-module-date" datetime="%1$s">%2$s</time>';
								$time_string = sprintf( $time_string, esc_attr( get_the_date( 'c' ) ), esc_html( get_the_date() )
								);
								/* translators: %s: time string widget */
								printf( __( '<span class="td-post-date_footer"> %3$s</span>', 'orionwp' ), esc_url( get_permalink() ), esc_attr( get_the_time() ), wp_kses_post($time_string) );
								?>
							
							</div>
						</div>
					</div>
				</div>
				<?php
			endwhile;
			// Reset Post Data
			wp_reset_query();
			?>
		</div>
		<?php
		echo wp_kses_post($after_widget);
	}

}

