<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Get post format
$format = get_post_format();


// Quote format is completely different
if ( 'quote' == $format ) 
{
	// Get quote entry content
	get_template_part( 'template-parts/content/quote' );

	return;
}

// Add classes to the blog entry post class
$classes = kirhero_post_content_classes();


$blog_style = get_theme_mod( 'kirhero_admin_blog_style', kirhero_get_default_theme_settings( 'blog-style' ) );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?>>

	<div class="blog-entry-inner">

		<?php
		//////////////
		///List template
		//////////////
		if($blog_style == 'list-entry')
		{
			
			get_template_part( 'template-parts/content/content-tpl-list' );
		}
		else
		{
			// Get elements
			$elements = kirhero_blog_article_elements_positioning();
			// Loop through elements
			foreach ( $elements as $element ) {
	
				// Featured Image
				if ( 'featured_image' == $element ) 
				{
					get_template_part( 'template-parts/content/media/content', $format );
				}
	
				// Title
				if ( 'title' == $element ) 
				{
					get_template_part( 'template-parts/content/content-header' );
				}
	
				// Meta
				if ( 'meta' == $element ) 
				{
					get_template_part( 'template-parts/content/content-meta' );
				}
	
				// Content
				if ( 'content' == $element ) 
				{
					get_template_part( 'template-parts/content/content-content' );
				}
	
				// Read more button
				if ( 'read_more' == $element ) 
				{
					get_template_part( 'template-parts/content/content-readmore' );
				}
	
			} 
		}
		
		?>

	</div><!-- .blog-entry -->

</article><!-- #post -->
