<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// isn't a thumbnail defined
if ( ! has_post_thumbnail() ) 
{
	return;
}
// Add images size if blog grid
if ( 'grid-entry' == kirhero_blog_article_style() ) 
{
	$size = kirhero_blog_article_images_size();
} 
else 
{
	$size = 'full';
}


// Overlay class
if ( is_customize_preview() && false == get_theme_mod( 'kirhero_blog_image_overlay', kirhero_get_default_theme_settings( 'blog-article-image-overlay') ) ) 
{
	$class = 'no-overlay';
} 
else 
{
	$class = 'overlay';
}


// Image args
$img_args = array(
    'alt' => get_the_title(),
);

// Caption
$caption = get_the_post_thumbnail_caption(); ?>

<div class="thumbnail">

	<a href="<?php the_permalink(); ?>" class="thumbnail-link">

		<?php
		// Images attr
		//$img_id 	= get_post_thumbnail_id( get_the_ID(), 'full' );
		//$img_url 	= wp_get_attachment_image_src( $img_id, 'full', true );
		// Display post thumbnail
		the_post_thumbnail( $size, $img_args );


		// If overlay
		if ( is_customize_preview() || true == get_theme_mod( 'kirhero_blog_image_overlay', kirhero_get_default_theme_settings( 'blog-article-image-overlay') ) ) { ?>
			<span class="<?php echo esc_attr( $class ); ?>"></span>
		<?php } ?>

	</a>

	<?php
	// Caption
	if ( $caption ) { ?>
		<div class="thumbnail-caption-wraper">	
			<div class="thumbnail-caption">
				<?php echo esc_html( $caption ); ?>
			</div>
		</div>
	<?php
	} ?>
	
	<div class="link-entry">
		<a href="<?php echo esc_url( get_post_meta( get_the_ID(), 'kirhero_link_href', true ) ); ?>" target="_blank"><div class="link-entry-i"><i class="fa fa-link" aria-hidden="true"></i></div></a>
	</div>

</div><!-- .thumbnail -->

